#include <iostream>

int main() {
	std::ios_base::sync_with_stdio(false);

	int p, q, r, br = 0;
	long long L, R;
	std::cin >> p >> q >> r >> L >> R;

	for (long long i = L; i <= R; i++) {
		if (i > R || i < 0) break;
		int temp = 0;

		temp += i / p;
		if (i % p > 0) ++temp;

		temp += i / q;
		if (i % q > 0) ++temp;

		temp += i / r;
		if (i % r > 0) ++temp;

		if (temp <= i) ++br;
	}

	std::cout << br;

	//system("pause");
	return 0;
}